libnvme(2)

NAME
struct nvmf_ext_die - Extended Discovery Information Entry (DIE)

SYNOPSIS
struct nvmf_ext_die {
__u8 trtype;
__u8 adrfam;
__u8 subtype;
__u8 treq;
__le16 portid;
__le16 cntlid;
__le16 asqsz;
__u8 rsvd10[22];
char trsvcid[NVMF_TRSVCID_SIZE];
__u8 resv64[192];
char nqn[NVME_NQN_LENGTH];
char traddr[NVMF_TRADDR_SIZE];
union nvmf_tsas tsas;
__le32 tel;
__le16 numexat;
__u8 resv1030[2];
struct nvmf_ext_attr exat[];
};

Members

trtype
    Transport Type (enum nvmf_trtype)

adrfam
    Address Family (enum nvmf_addr_family)

subtype
    Subsystem Type (enum nvme_subsys_type)

treq
    Transport Requirements (enum nvmf_treq)

portid
    Port ID

cntlid
    Controller ID

asqsz
    Admin Max SQ Size

rsvd10
    Reserved

trsvcid
    Transport Service Identifier

resv64
    Reserved

nqn NVM Qualified Name

traddr
    Transport Address

tsas
    Transport Specific Address Subtype (union nvmf_tsas)

tel Total Entry Length

numexat
    Number of Extended Attributes

resv1030
    Reserved

exat
    Extended Attributes 0 (struct nvmf_ext_attr)